Skip to main content
GET
/
v1
/
charts
/
top_buyers
Top credit buyers by retirement volume
curl --request GET \
  --url https://vcm-fyi-api.fly.dev/v1/charts/top_buyers \
  --header 'X-API-KEY: <api-key>'
{}

Authorizations

X-API-KEY
string
header
required

Query Parameters

search
string | null

Case insensitive search string. Currently searches on project_id and name fields only.

limit
integer
default:20

Number of top buyers to return

Required range: 1 <= x <= 100
registry
enum<string>[] | null

Registry name

Available options:
verra,
gold-standard,
american-carbon-registry,
climate-action-reserve,
art-trees,
isometric,
puro-earth,
plan-vivo,
none
country
string[] | null

Country name

protocol
string[] | null

Protocol name

category
string[] | null

Category name

is_compliance
boolean | null

Whether project is an ARB project

listed_at_from

Format: YYYY-MM-DD

listed_at_to

Format: YYYY-MM-DD

issued_min
integer | null

Minimum number of issued credits

issued_max
integer | null

Maximum number of issued credits

retired_min
integer | null

Minimum number of retired credits

retired_max
integer | null

Maximum number of retired credits

project_type
string[] | null

Project type

proponent
string[] | null

Project proponent/developer name

sdg_goals
integer[] | null

UN SDG goals (1-17). Multiple values = AND filter (must have ALL selected goals)

certifications
string[] | null

Specific certification labels (e.g., ccb-gold, ccb-biodiversity-gold, corsia). Multiple values = OR filter

corc_durability
string[] | null

Puro.earth CORC durability (100+ or 1000+). Multiple values = OR filter

has_ccb
boolean | null

Has CCB (Climate, Community & Biodiversity) certification

has_icvcm_ccp
boolean | null

Has ICVCM Core Carbon Principles certification

has_corsia
boolean | null

CORSIA eligible

has_sdvista
boolean | null

Has SD VISta certification

has_social_carbon
boolean | null

Has Social Carbon certification

article6_authorized
boolean | null

Authorized under Paris Agreement Article 6

article6_authorization_types
string[] | null

Article 6 authorization types: NDC Use, Intl mitigation purposes, Other purposes

transaction_type
string[] | null

Transaction type

vintage
integer[] | null

Vintage

transaction_date_from

Format: YYYY-MM-DD

transaction_date_to

Format: YYYY-MM-DD

quantity_min
integer | null

Minimum transaction quantity

quantity_max
integer | null

Maximum transaction quantity

Response

Ranked list of top buyers with total stats

The response is of type Response Get Top Buyers V1 Charts Top Buyers Get · object.